package com.chenyang.nse.bussiness.service.core;

import com.chenyang.nse.bussiness.dao.PageInfo;
import com.chenyang.nse.bussiness.entity.vo.ResultVO;
import com.chenyang.nse.bussiness.entity.vo.TreeGridVO;
import java.util.List;
import java.util.Map;

public interface SystemParameterService {
   List<Map<String, Object>> querySystemParameter(PageInfo pageInfo);

   List<TreeGridVO> queryDir(String parentid, String path);

   void addSystemParameter(Map<String, String> map);

   void removeSystemParameter(String id);

   ResultVO repeatName(String parametername);
}
